/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the SnapchatLookupControllerActionAccountRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &SnapchatLookupControllerActionAccountRequest{}

// SnapchatLookupControllerActionAccountRequest struct for SnapchatLookupControllerActionAccountRequest
type SnapchatLookupControllerActionAccountRequest struct {
	OAuthId        *string `json:"oAuthId,omitempty"`
	OrganizationId *string `json:"organizationId,omitempty"`
}

// NewSnapchatLookupControllerActionAccountRequest instantiates a new SnapchatLookupControllerActionAccountRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewSnapchatLookupControllerActionAccountRequest() *SnapchatLookupControllerActionAccountRequest {
	this := SnapchatLookupControllerActionAccountRequest{}
	return &this
}

// NewSnapchatLookupControllerActionAccountRequestWithDefaults instantiates a new SnapchatLookupControllerActionAccountRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewSnapchatLookupControllerActionAccountRequestWithDefaults() *SnapchatLookupControllerActionAccountRequest {
	this := SnapchatLookupControllerActionAccountRequest{}
	return &this
}

// GetOAuthId returns the OAuthId field value if set, zero value otherwise.
func (o *SnapchatLookupControllerActionAccountRequest) GetOAuthId() string {
	if o == nil || IsNil(o.OAuthId) {
		var ret string
		return ret
	}
	return *o.OAuthId
}

// GetOAuthIdOk returns a tuple with the OAuthId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *SnapchatLookupControllerActionAccountRequest) GetOAuthIdOk() (*string, bool) {
	if o == nil || IsNil(o.OAuthId) {
		return nil, false
	}
	return o.OAuthId, true
}

// HasOAuthId returns a boolean if a field has been set.
func (o *SnapchatLookupControllerActionAccountRequest) HasOAuthId() bool {
	if o != nil && !IsNil(o.OAuthId) {
		return true
	}

	return false
}

// SetOAuthId gets a reference to the given string and assigns it to the OAuthId field.
func (o *SnapchatLookupControllerActionAccountRequest) SetOAuthId(v string) {
	o.OAuthId = &v
}

// GetOrganizationId returns the OrganizationId field value if set, zero value otherwise.
func (o *SnapchatLookupControllerActionAccountRequest) GetOrganizationId() string {
	if o == nil || IsNil(o.OrganizationId) {
		var ret string
		return ret
	}
	return *o.OrganizationId
}

// GetOrganizationIdOk returns a tuple with the OrganizationId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *SnapchatLookupControllerActionAccountRequest) GetOrganizationIdOk() (*string, bool) {
	if o == nil || IsNil(o.OrganizationId) {
		return nil, false
	}
	return o.OrganizationId, true
}

// HasOrganizationId returns a boolean if a field has been set.
func (o *SnapchatLookupControllerActionAccountRequest) HasOrganizationId() bool {
	if o != nil && !IsNil(o.OrganizationId) {
		return true
	}

	return false
}

// SetOrganizationId gets a reference to the given string and assigns it to the OrganizationId field.
func (o *SnapchatLookupControllerActionAccountRequest) SetOrganizationId(v string) {
	o.OrganizationId = &v
}

func (o SnapchatLookupControllerActionAccountRequest) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o SnapchatLookupControllerActionAccountRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.OAuthId) {
		toSerialize["oAuthId"] = o.OAuthId
	}
	if !IsNil(o.OrganizationId) {
		toSerialize["organizationId"] = o.OrganizationId
	}
	return toSerialize, nil
}

type NullableSnapchatLookupControllerActionAccountRequest struct {
	value *SnapchatLookupControllerActionAccountRequest
	isSet bool
}

func (v NullableSnapchatLookupControllerActionAccountRequest) Get() *SnapchatLookupControllerActionAccountRequest {
	return v.value
}

func (v *NullableSnapchatLookupControllerActionAccountRequest) Set(val *SnapchatLookupControllerActionAccountRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableSnapchatLookupControllerActionAccountRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableSnapchatLookupControllerActionAccountRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableSnapchatLookupControllerActionAccountRequest(val *SnapchatLookupControllerActionAccountRequest) *NullableSnapchatLookupControllerActionAccountRequest {
	return &NullableSnapchatLookupControllerActionAccountRequest{value: val, isSet: true}
}

func (v NullableSnapchatLookupControllerActionAccountRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableSnapchatLookupControllerActionAccountRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
